Package ch.qos.logback.access.sift

# Class SiftingAppender

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.AppenderBase<E>
ch.qos.logback.core.sift.SiftingAppenderBase<IAccessEvent>
ch.qos.logback.access.sift.SiftingAppender

All Implemented Interfaces:
  `Appender<IAccessEvent>`, `ContextAware`, `FilterAttachable<IAccessEvent>`, `LifeCycle`

public class SiftingAppender extends SiftingAppenderBase<IAccessEvent>
This appender can contains other appenders which it can build dynamically depending on MDC values. The built appender is specified as part of a configuration file.

See the logback manual for further details.

Author:
  Ceki Gulcu

## Field Summary

### Fields inherited from class ch.qos.logback.core.sift.SiftingAppenderBase

`appenderTracker`

### Fields inherited from class ch.qos.logback.core.AppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`SiftingAppender()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`eventMarksEndOfLife(IAccessEvent event)`
`protected long`
`getTimestamp(IAccessEvent event)`
`void`
`setDiscriminator(Discriminator<IAccessEvent> discriminator)`
`void`
`start()`

### Methods inherited from class ch.qos.logback.core.sift.SiftingAppenderBase

`append, getAppenderTracker, getDiscriminator, getDiscriminatorKey, getMaxAppenderCount, getTimeout, setAppenderFactory, setMaxAppenderCount, setTimeout, stop`

### Methods inherited from class ch.qos.logback.core.AppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

## Constructor Details

### SiftingAppender

public SiftingAppender()

## Method Details

### start

public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `SiftingAppenderBase<IAccessEvent>`

### getTimestamp

protected long getTimestamp(IAccessEvent event)

Specified by:
  `getTimestamp` in class `SiftingAppenderBase<IAccessEvent>`

### eventMarksEndOfLife

protected boolean eventMarksEndOfLife(IAccessEvent event)

Specified by:
  `eventMarksEndOfLife` in class `SiftingAppenderBase<IAccessEvent>`

### setDiscriminator

public void setDiscriminator(Discriminator<IAccessEvent> discriminator)

Overrides:
  `setDiscriminator` in class `SiftingAppenderBase<IAccessEvent>`